package cn.ey.biz.module.system.convert.delegation;

import cn.ey.biz.common.pojo.PageResult;
import cn.ey.biz.module.system.api.delegation.dto.UserDelegationDTO;
import cn.ey.biz.module.system.controller.admin.delegation.vo.UserDelegationRespVO;
import cn.ey.biz.module.system.controller.admin.delegation.vo.UserDelegationSaveReqVO;
import cn.ey.biz.module.system.dal.dataobject.delegation.UserDelegationDO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

@Mapper
public interface DelegationConvert {

    DelegationConvert INSTANCE = Mappers.getMapper(DelegationConvert.class);

    List<UserDelegationRespVO> convertList(List<UserDelegationDO> list);

    List<UserDelegationDTO> convertList2DTO(List<UserDelegationDO> list);

    List<UserDelegationDO> convertList2DO(List<UserDelegationSaveReqVO> list);

    UserDelegationRespVO convert(UserDelegationDO bean);

    PageResult<UserDelegationRespVO> convertPage(PageResult<UserDelegationDO> page);

    UserDelegationDO convert(UserDelegationRespVO bean);




}
